/*
 * ADS1247
 */
#ifndef AD1247_H
#define AD1247_H

// pin number
//#define	AD_SCLK	13
//#define	AD_DIN	11
//#define	AD_DOUT	12
#define	AD_DRDY	14
#define	AD_CS	15
#define	AD_START	16

// ADS1247 SPI CMD
#define	SDATAC	0x16
#define	WREG	0x40
#define	RESET	0x06
#define	RDATAC	0x14
#define	RDATA	0x12

// START
#define	ad_start_ena()	digitalWrite(AD_START, HIGH)
#define	ad_start_dis()	digitalWrite(AD_START, LOW)
#define	ad_start_pulse()	ad_start_dis(); delay(1); ad_start_ena()

// CS
#define	ad_cs_ena()	digitalWrite(AD_CS, LOW)
#define	ad_cs_dis()	digitalWrite(AD_CS, HIGH)
// DRDY
#define	ad_is_drdy_ena()	((digitalRead(AD_DRDY) == LOW)?1:0)

void ad_pin_init();
void ad_reset();
void ad_init();
void ad_conf_ch(uint8_t ch);
int32_t	ad_get_val();

#endif

